<?xml version="1.0"?>
<examples>
  <example name="button.rb">
    Demonstrates the various layout and appearance options for the
    FXButton widget.
  </example>
  <example name="datatarget.rb">
    Demonstrates how to use data targets.
  </example>
  <example name="dialog.rb">
    Simple example demonstrating how to create both modal and non-modal
    dialogs.
  </example>
  <example name="dirlist.rb">
    Demonstrates the directory list (FXDirList) widget.
  </example>
  <example name="foursplit.rb">
    Demonstrates the 4-way splitter widget.
  </example>
  <example name="gltest.rb">
    Demonstrates the OpenGL canvas widget, and how to use both timers
    and chores in FOX applications. This one also requires the OpenGL
    extensions for Ruby; check the Ruby Application Archive for the
    current release.
  </example>
  <example name="groupbox.rb">
    This is a kind of periodic table of widgets for FOX; it displays
    a wide variety of the core widgets with different options.
  </example>
  <example name="header.rb">
    Demonstrates the header widget.
  </example>
  <example name="hello.rb">
    Minimalist FXRuby: the classic "Hello, World!" program
  </example>
  <example name="hello2.rb">
    The souped-up version of "Hello, World!", complete with a PNG icon
    and tooltips.
  </example>
  <example name="imageviewer.rb">
    This is primarily a demonstration of the image view (FXImageView)
    widget but it also provides a model for what could be a full-blown
    FXRuby application. This example has a menu bar and toolbar (both
    "floatable") and demonstrates how to use FOX's registry mechanism
    for persistent application settings.
    and tooltips.
  </example>
  <example name="scribble.rb">
    This is the Ruby version of the scribble program described in the
    standard FOX documentation. It demonstrates the basics of drawing
    into a 2-D canvas as well as FOX's GUI updating features.
  </example>
  <example name="shutter.rb">
    Demonstrates the FXShutter widget, similar to that found in a popular
    office application.
  </example>
  <example name="tabbook.rb">
    Demonstrates the FXTabBook widget, sometimes known as a "notebook"
    or property sheet widget in other toolkits.
  </example>
  <example name="table.rb">
    Demonstrates the FXTable widget, which could be used as the basis
    of a more powerful spreadsheet-like application.
  </example>
</examples>
